non vorrei lavorare

ブログ名の通りです。javascript three.js mruby rust OCaml golang julialang blender

Node.js v5.0.0でnode-ffiやNodObjCが動かない

おはようございます。週末は久しぶり車での旅行。軽井沢に行ってきました。長男が意外とバッテリーカーの運転が上手い事が分かりました。kjunichiです。

困った現象

node-ffiGCが発生すると以下のエラーで落ちる。

FATAL ERROR: v8::ArrayBuffer::Neuter Only externalized ArrayBuffers can be neutered

また、NodObjCではrequireで前述のエラーとなり動かない。先日作ったnode-messagesappが動かなくなり発見した。

困っていたら

node-ffiにissueが挙がり、そこで、

https://github.com/nodejs/node/issues/3619

で既にトラブルシューティング開始されていることを知る。

node-ffiの問題ではなく、Node.js本体側の問題だった模様。

Node.js v5.0.1以降に期待